Skip to main content
GET
/
plans
curl "https://api.alguna.io/plans/?page=1&limit=25" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "items": [
    {
      "id": "pln_02y7zjb1GksJMrB3NfrPhA",
      "name": "Plan 1",
      "description": "asd",
      "currency": "USD",
      "createdAt": "2024-11-01T14:38:36Z",
      "updatedAt": "2024-11-01T14:38:36Z"
    }
  ],
  "pageCount": 1,
  "limit": 250
}

Retrieves a paginated list of all plans.

Query Parameters

page
integer
default:"1"
The page number to retrieve (1-indexed).
limit
integer
default:"10"
The number of plans to return per page. Must be one of: 5, 10, 25, 50, or 100. Values exceeding 100 are capped automatically.
curl "https://api.alguna.io/plans/?page=1&limit=25" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
  "items": [
    {
      "id": "pln_02y7zjb1GksJMrB3NfrPhA",
      "name": "Plan 1",
      "description": "asd",
      "currency": "USD",
      "createdAt": "2024-11-01T14:38:36Z",
      "updatedAt": "2024-11-01T14:38:36Z"
    }
  ],
  "pageCount": 1,
  "limit": 250
}

items
[]Plan
An array of plan objects.
pageCount
number
The total number of pages available.
limit
number
The maximum number of plans returned per page.